Subject: Re: What's cooking in git.git (Dec 2024, #10; Sat, 28)

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Dec 2024 06:07:21 -0800

Patrick Steinhardt <[email-masked]> writes:

> On Sat, Dec 28, 2024 at 02:23:56PM -0800, Junio C Hamano wrote:
>> * ps/more-sign-compare (2024-12-27) 10 commits
> ...
> There wasn't anything yet that needs addressing, unless I have missed
> something. Peff acked a couple of patches, and the questions from Jialuo
> have been addressed. So no rerolled is planney (yet).

OK.  Let's merge and cook in 'next' then.

>> * sk/maintenance-remote-prune (2024-12-28) 1 commit
>>  - maintenance: add prune-remote-refs task
>> 
>>  A new periodic maintenance task to run "git remote prune" has been
>>  introduced.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I've had another look at this series just now.

Thanks for a review.  Let's wait for a review response and go from
there.

>> --------------------------------------------------
>> [Cooking]
>> 
>> * rs/reftable-realloc-errors (2024-12-28) 4 commits
>>  - t-reftable-merged: handle realloc errors
>>  - reftable: handle realloc error in parse_names()
>>  - reftable: fix allocation count on realloc error
>>  - reftable: avoid leaks on realloc error
>> 
>>  The custom allocator code in the reftable library did not handle
>>  failing realloc() very well, which has been addressed.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I'm not a 100% happy with the split for reallocators that this series
> introduces, but don't think that the series is to blame because it
> simply fixes the underlying problem. So this is a good first iteration
> and we can improve the status quo in a follow-up.
>
> So yes, I think this can be merged.

OK.  Again, thanks for a review.